# IdentifiablePrimitive Class Reference
[Base data types used in Form]

Inheritance diagram for IdentifiablePrimitive:
[legend]

List of all members.

## Public Member Functions

| of ($className)
| setScalar ($orly=false)
| setValue ($value)
| exportValue ()

## Protected Member Functions

| checkNumber ($number)
| castNumber ($number)

## Static Protected Member Functions

static | guessClassName ($class)

## Protected Attributes

| $className = null
| $scalar = false
| due to historical reasons, by default we're dealing only with integer identifiers, this problem correctly fixed in master branch

## Detailed Description

Definition at line 15 of file IdentifiablePrimitive.class.php.

## Member Function Documentation

IdentifiablePrimitive::castNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveInteger.

Definition at line 83 of file IdentifiablePrimitive.class.php.

References Assert::checkInteger().

Here is the call graph for this function:

IdentifiablePrimitive::checkNumber | ( | $ | number | ) | `[protected]`

Reimplemented from PrimitiveInteger.

Definition at line 75 of file IdentifiablePrimitive.class.php.

References Assert::isInteger(), and Assert::isScalar().

Here is the call graph for this function:

IdentifiablePrimitive::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveEnumerationList, PrimitiveIdentifierList, and PrimitivePolymorphicIdentifier.

Definition at line 67 of file IdentifiablePrimitive.class.php.

static IdentifiablePrimitive::guessClassName | ( | $ | class | ) | `[static, protected]`

Definition at line 53 of file IdentifiablePrimitive.class.php.

Referenced by PrimitiveIdentifier::of(), and PrimitiveEnumeration::of().

IdentifiablePrimitive::of | ( | $ | className | ) | `[abstract]`

Reimplemented in PrimitiveEnumeration, PrimitiveIdentifier, and PrimitivePolymorphicIdentifier.

IdentifiablePrimitive::setScalar | ( | $ | orly = `false` | ) |

Returns:
  IdentifiablePrimitive

Reimplemented in PrimitiveIntegerIdentifier, and PrimitiveScalarIdentifier.

Definition at line 31 of file IdentifiablePrimitive.class.php.

IdentifiablePrimitive::setValue | ( | $ | value | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  IdentifiablePrimitive

Reimplemented from BasePrimitive.

Reimplemented in PrimitiveEnumerationList, PrimitiveIdentifierList, and PrimitivePolymorphicIdentifier.

Definition at line 42 of file IdentifiablePrimitive.class.php.

References $className, BasePrimitive::$value, Assert::isNotNull(), and Assert::isTrue().

Referenced by PrimitiveIdentifier::import().

Here is the call graph for this function:

## Member Data Documentation

IdentifiablePrimitive::$className = null`[protected]`

Definition at line 18 of file IdentifiablePrimitive.class.php.

Referenced by PrimitiveIdentifier::import(), PrimitiveEnumerationList::import(), PrimitiveIdentifier::of(), PrimitiveEnumeration::of(), PrimitivePolymorphicIdentifier::ofBase(), and setValue().

IdentifiablePrimitive::$scalar = false`[protected]`

due to historical reasons, by default we're dealing only with integer identifiers, this problem correctly fixed in master branch

Reimplemented in PrimitiveIntegerIdentifier, and PrimitiveScalarIdentifier.

Definition at line 24 of file IdentifiablePrimitive.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/IdentifiablePrimitive.class.php